# GstRTSPTimeRange

Provides helper functions to deal with time ranges.

## GstRTSPTime

A time indication.

### Members

`type` (GstRTSPTimeType) –

the time of the time

`seconds` (gdouble) –

seconds when type is GST_RTSP_TIME_SECONDS, GST_RTSP_TIME_UTC and GST_RTSP_TIME_FRAMES

## GstRtsp.RTSPTime

A time indication.

### Members

`type` (GstRtsp.RTSPTimeType) –

the time of the time

`seconds` (Number) –

seconds when type is GST_RTSP_TIME_SECONDS, GST_RTSP_TIME_UTC and GST_RTSP_TIME_FRAMES

## GstRtsp.RTSPTime

A time indication.

### Members

`type` (GstRtsp.RTSPTimeType) –

the time of the time

`seconds` (float) –

seconds when type is GST_RTSP_TIME_SECONDS, GST_RTSP_TIME_UTC and GST_RTSP_TIME_FRAMES

## GstRTSPTime2

Extra fields for a time indication.

### Members

`frames` (gdouble) –

frames and subframes when type in GstRTSPTime is GST_RTSP_TIME_FRAMES

`year` (guint) –

year when type is GST_RTSP_TIME_UTC

`month` (guint) –

month when type is GST_RTSP_TIME_UTC

`day` (guint) –

day when type is GST_RTSP_TIME_UTC

Since : 1.2

## GstRtsp.RTSPTime2

Extra fields for a time indication.

### Members

`frames` (Number) –

frames and subframes when type in GstRTSPTime is GST_RTSP_TIME_FRAMES

`year` (Number) –

year when type is GST_RTSP_TIME_UTC

`month` (Number) –

month when type is GST_RTSP_TIME_UTC

`day` (Number) –

day when type is GST_RTSP_TIME_UTC

Since : 1.2

## GstRtsp.RTSPTime2

Extra fields for a time indication.

### Members

`frames` (float) –

frames and subframes when type in GstRTSPTime is GST_RTSP_TIME_FRAMES

`year` (int) –

year when type is GST_RTSP_TIME_UTC

`month` (int) –

month when type is GST_RTSP_TIME_UTC

`day` (int) –

day when type is GST_RTSP_TIME_UTC

Since : 1.2

## GstRTSPTimeRange

A time range.

### Members

`unit` (GstRTSPRangeUnit) –

the time units used

`min` (GstRTSPTime) –

the minimum interval

`max` (GstRTSPTime) –

the maximum interval

`min2` (GstRTSPTime2) –

extra fields in the minimum interval (Since: 1.2)

`max2` (GstRTSPTime2) –

extra fields in the maximum interval (Since: 1.2)

## GstRtsp.RTSPTimeRange

A time range.

### Members

`unit` (GstRtsp.RTSPRangeUnit) –

the time units used

`min` (GstRtsp.RTSPTime) –

the minimum interval

`max` (GstRtsp.RTSPTime) –

the maximum interval

`min2` (GstRtsp.RTSPTime2) –

extra fields in the minimum interval (Since: 1.2)

`max2` (GstRtsp.RTSPTime2) –

extra fields in the maximum interval (Since: 1.2)

## GstRtsp.RTSPTimeRange

A time range.

### Members

`unit` (GstRtsp.RTSPRangeUnit) –

the time units used

`min` (GstRtsp.RTSPTime) –

the minimum interval

`max` (GstRtsp.RTSPTime) –

the maximum interval

`min2` (GstRtsp.RTSPTime2) –

extra fields in the minimum interval (Since: 1.2)

`max2` (GstRtsp.RTSPTime2) –

extra fields in the maximum interval (Since: 1.2)

## Enumerations

### GstRTSPRangeUnit

Different possible time range units.

##### Members

`GST_RTSP_RANGE_SMPTE` (0) –

SMPTE timecode

`GST_RTSP_RANGE_SMPTE_30_DROP` (1) –

29.97 frames per second

`GST_RTSP_RANGE_SMPTE_25` (2) –

25 frames per second

`GST_RTSP_RANGE_NPT` (3) –

Normal play time

`GST_RTSP_RANGE_CLOCK` (4) –

Absolute time expressed as ISO 8601 timestamps

### GstRtsp.RTSPRangeUnit

Different possible time range units.

##### Members

`GstRtsp.RTSPRangeUnit.SMPTE` (0) –

SMPTE timecode

`GstRtsp.RTSPRangeUnit.SMPTE_30_DROP` (1) –

29.97 frames per second

`GstRtsp.RTSPRangeUnit.SMPTE_25` (2) –

25 frames per second

`GstRtsp.RTSPRangeUnit.NPT` (3) –

Normal play time

`GstRtsp.RTSPRangeUnit.CLOCK` (4) –

Absolute time expressed as ISO 8601 timestamps

### GstRtsp.RTSPRangeUnit

Different possible time range units.

##### Members

`GstRtsp.RTSPRangeUnit.SMPTE` (0) –

SMPTE timecode

`GstRtsp.RTSPRangeUnit.SMPTE_30_DROP` (1) –

29.97 frames per second

`GstRtsp.RTSPRangeUnit.SMPTE_25` (2) –

25 frames per second

`GstRtsp.RTSPRangeUnit.NPT` (3) –

Normal play time

`GstRtsp.RTSPRangeUnit.CLOCK` (4) –

Absolute time expressed as ISO 8601 timestamps

### GstRTSPTimeType

Possible time types.

##### Members

`GST_RTSP_TIME_SECONDS` (0) –

seconds

`GST_RTSP_TIME_NOW` (1) –

now

`GST_RTSP_TIME_END` (2) –

end

`GST_RTSP_TIME_FRAMES` (3) –

frames and subframes

`GST_RTSP_TIME_UTC` (4) –

UTC time

### GstRtsp.RTSPTimeType

Possible time types.

##### Members

`GstRtsp.RTSPTimeType.SECONDS` (0) –

seconds

`GstRtsp.RTSPTimeType.NOW` (1) –

now

`GstRtsp.RTSPTimeType.END` (2) –

end

`GstRtsp.RTSPTimeType.FRAMES` (3) –

frames and subframes

`GstRtsp.RTSPTimeType.UTC` (4) –

UTC time

### GstRtsp.RTSPTimeType

Possible time types.

##### Members

`GstRtsp.RTSPTimeType.SECONDS` (0) –

seconds

`GstRtsp.RTSPTimeType.NOW` (1) –

now

`GstRtsp.RTSPTimeType.END` (2) –

end

`GstRtsp.RTSPTimeType.FRAMES` (3) –

frames and subframes

`GstRtsp.RTSPTimeType.UTC` (4) –

UTC time

The results of the search are